Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.service.exporter.support.internal.support
Class ServiceRegistrationWrapper

    java.lang.Object
      org.eclipse.gemini.blueprint.service.exporter.support.internal.support.ServiceRegistrationWrapper

All Implemented Interfaces:
  org.osgi.framework.ServiceRegistration

    public class ServiceRegistrationWrapper

extends Object
implements org.osgi.framework.ServiceRegistration

Simple wrapper that prevents a service registration from being unregistered.

Author:
  Costin Leau

Constructor Summary
`ServiceRegistrationWrapper(org.osgi.framework.ServiceRegistration delegate)`

Method Summary
`org.osgi.framework.ServiceReference` | `getReference()`
`void` | `setProperties(Dictionary properties)`
`void` | `swap(org.osgi.framework.ServiceRegistration other)`
`void` | `unregister()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceRegistrationWrapper

    public ServiceRegistrationWrapper(org.osgi.framework.ServiceRegistration delegate)

Method Detail

### getReference

    public org.osgi.framework.ServiceReference getReference()

  Specified by:
    `getReference` in interface `org.osgi.framework.ServiceRegistration`

### setProperties

    public void setProperties(Dictionary properties)

  Specified by:
    `setProperties` in interface `org.osgi.framework.ServiceRegistration`

### swap

    public void swap(org.osgi.framework.ServiceRegistration other)

### unregister

    public void unregister()

  Specified by:
    `unregister` in interface `org.osgi.framework.ServiceRegistration`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2012. All Rights Reserved.